Bug 756927 - [PATCH] Spec file fixes for qpid-cpp
Summary: [PATCH] Spec file fixes for qpid-cpp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-cpp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-25 07:39 UTC by Siddhesh Poyarekar
Modified: 2015-09-14 00:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:59:47 UTC


Attachments (Terms of Use)
Spec file fixes (790 bytes, patch)
2011-11-25 07:39 UTC, Siddhesh Poyarekar
no flags Details | Diff

Description Siddhesh Poyarekar 2011-11-25 07:39:31 UTC
Created attachment 536159 [details]
Spec file fixes

Description of problem:
The qpid-cpp spec file violates the following packaging requirements:

* Unowned directories in qpid-cpp-client-devel: https://fedoraproject.org/wiki/Packaging:UnownedDirectories
* Source URL is invalid

I have attached the fix for the above 2. Apart from this, there is also the case where a package is in an invalid Group "System Environment/Tools". This is not too serious, but would be good to fix anyway. FWIW, I don't think qpid packages qualify as "System Environment" packages anyway, except maybe qpid-cpp-server since it is a daemon.

Comment 1 Darryl L. Pierce 2012-10-12 20:10:14 UTC
(In reply to comment #0)
> Created attachment 536159 [details]
> Spec file fixes
> 
> Description of problem:
> The qpid-cpp spec file violates the following packaging requirements:
> 
> * Unowned directories in qpid-cpp-client-devel:
> https://fedoraproject.org/wiki/Packaging:UnownedDirectories

I've added these changes to the specfile. Thank you!

> * Source URL is invalid

Fixed as well, thank you!
 
> I have attached the fix for the above 2. Apart from this, there is also the
> case where a package is in an invalid Group "System Environment/Tools". This
> is not too serious, but would be good to fix anyway. FWIW, I don't think
> qpid packages qualify as "System Environment" packages anyway, except maybe
> qpid-cpp-server since it is a daemon.

My understanding is that Groups are no longer used, so had removed them a while ago.

Comment 2 Fedora Update System 2012-10-13 00:56:27 UTC
qpid-cpp-0.18-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-4.fc17

Comment 3 Fedora Update System 2012-10-14 01:47:54 UTC
qpid-cpp-0.18-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-3.fc16

Comment 4 Fedora Update System 2012-10-14 02:42:21 UTC
qpid-cpp-0.18-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-4.fc18

Comment 5 Fedora Update System 2012-10-14 03:52:56 UTC
Package qpid-cpp-0.18-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qpid-cpp-0.18-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16097/qpid-cpp-0.18-4.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-10-16 13:45:15 UTC
qpid-cpp-0.18-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-4.fc16

Comment 7 Fedora Update System 2012-10-16 15:30:56 UTC
qpid-cpp-0.18-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-5.fc17

Comment 8 Fedora Update System 2012-10-16 17:14:48 UTC
qpid-cpp-0.18-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-cpp-0.18-5.fc18

Comment 9 Fedora Update System 2012-12-20 15:59:49 UTC
qpid-cpp-0.18-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.